Upstream information

CVE-2018-3066 at MITRE

Description

Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Options). Supported versions that are affected are 5.5.60 and prior, 5.6.40 and prior and 5.7.22 and prior. Difficult to exploit vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized update, insert or delete access to some of MySQL Server accessible data as well as unauthorized read access to a subset of MySQL Server accessible data. CVSS 3.0 Base Score 3.3 (Confidentiality and Integrity impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:H/UI:N/S:U/C:L/I:L/A:N).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:N/AC:M/Au:S/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 3.3 3.3
Vector AV:N/AC:H/PR:H/UI:N/S:U/C:L/I:L/A:N AV:N/AC:H/PR:H/UI:N/S:U/C:L/I:L/A:N
Access Vector Network Network
Access Complexity High High
Privileges Required High High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
SUSE Bugzilla entries: 1101678 [VERIFIED / FIXED], 1116686 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • galera-3 >= 25.3.24-4.3.1
  • galera-3-wsrep-provider >= 25.3.24-4.3.1
  • libmariadb3 >= 3.0.6-3.6.1
  • libmysqlclient18 >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.2.21-4.8.1
  • mariadb-connector-c >= 3.0.6-3.6.1
  • mariadb-errormessages >= 10.2.21-4.8.1
  • mariadb-galera >= 10.2.21-4.8.1
  • mariadb-tools >= 10.2.21-4.8.1
Patchnames:
HPE-Helion-OpenStack-8-2019-2048
HPE-Helion-OpenStack-8-2019-628
SUSE Enterprise Storage 4
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-Storage-4-2019-2048
SUSE Linux Enterprise Desktop 12 SP4
  • libmysqlclient18 >= 10.0.37-2.3.1
  • libmysqlclient18-32bit >= 10.0.37-2.3.1
  • libmysqlclient_r18 >= 10.0.37-2.3.1
  • libmysqlclient_r18-32bit >= 10.0.37-2.3.1
  • mariadb >= 10.2.18-1.7
  • mariadb-100 >= 10.0.37-2.3.1
  • mariadb-100-errormessages >= 10.0.37-2.3.1
  • mariadb-client >= 10.2.18-1.7
  • mariadb-errormessages >= 10.2.18-1.7
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA mariadb
SUSE-SLE-DESKTOP-12-SP4-2018-3022
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • mariadb >= 10.2.22-3.14.1
  • mariadb-bench >= 10.2.22-3.14.1
  • mariadb-galera >= 10.2.22-3.14.1
  • mariadb-test >= 10.2.22-3.14.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-555
SUSE Linux Enterprise Module for Server Applications 15
  • libmysqld-devel >= 10.2.22-3.14.1
  • libmysqld19 >= 10.2.22-3.14.1
  • mariadb >= 10.2.22-3.14.1
  • mariadb-client >= 10.2.22-3.14.1
  • mariadb-errormessages >= 10.2.22-3.14.1
  • mariadb-tools >= 10.2.22-3.14.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-555
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • libmysqld-devel >= 10.2.22-3.14.1
  • libmysqld19 >= 10.2.22-3.14.1
  • mariadb >= 10.2.22-3.14.1
  • mariadb-client >= 10.2.22-3.14.1
  • mariadb-errormessages >= 10.2.22-3.14.1
  • mariadb-tools >= 10.2.22-3.14.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA libmysqld-devel
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-2048
SUSE Linux Enterprise Server 11 SP4
  • libmysql55client18 >= 5.5.61-0.39.15.1
  • libmysql55client18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client18-x86 >= 5.5.61-0.39.15.1
  • libmysql55client_r18 >= 5.5.61-0.39.15.1
  • libmysql55client_r18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client_r18-x86 >= 5.5.61-0.39.15.1
  • mysql >= 5.5.61-0.39.15.1
  • mysql-client >= 5.5.61-0.39.15.1
  • mysql-tools >= 5.5.61-0.39.15.1
Patchnames:
slessp4-mysql-13739
SUSE Linux Enterprise Server 12 SP1-LTSS
  • libmysqlclient-devel >= 10.0.38-29.27.3
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • libmysqlclient_r18 >= 10.0.38-29.27.3
  • libmysqld-devel >= 10.0.38-29.27.3
  • libmysqld18 >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2048
SUSE Linux Enterprise Server 12 SP2-BCL
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-2048
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2048
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-2048
SUSE Linux Enterprise Server 12 SP4
  • libmysqlclient18 >= 10.0.37-2.3.1
  • libmysqlclient18-32bit >= 10.0.37-2.3.1
  • mariadb >= 10.2.18-1.7
  • mariadb-100 >= 10.0.37-2.3.1
  • mariadb-100-errormessages >= 10.0.37-2.3.1
  • mariadb-client >= 10.2.18-1.7
  • mariadb-errormessages >= 10.2.18-1.7
  • mariadb-tools >= 10.2.18-1.7
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA mariadb
SUSE-SLE-SERVER-12-SP4-2018-3022
SUSE Linux Enterprise Server 12-LTSS
  • libmysqlclient-devel >= 10.0.37-20.49.2
  • libmysqlclient18 >= 10.0.37-20.49.2
  • libmysqlclient18-32bit >= 10.0.37-20.49.2
  • libmysqlclient_r18 >= 10.0.37-20.49.2
  • libmysqld-devel >= 10.0.37-20.49.2
  • libmysqld18 >= 10.0.37-20.49.2
  • mariadb >= 10.0.37-20.49.2
  • mariadb-client >= 10.0.37-20.49.2
  • mariadb-errormessages >= 10.0.37-20.49.2
  • mariadb-tools >= 10.0.37-20.49.2
Patchnames:
SUSE-SLE-SERVER-12-2018-2833
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libmysql55client18 >= 5.5.61-0.39.15.1
  • libmysql55client18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client18-x86 >= 5.5.61-0.39.15.1
  • libmysql55client_r18 >= 5.5.61-0.39.15.1
  • libmysql55client_r18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client_r18-x86 >= 5.5.61-0.39.15.1
  • mysql >= 5.5.61-0.39.15.1
  • mysql-client >= 5.5.61-0.39.15.1
  • mysql-tools >= 5.5.61-0.39.15.1
Patchnames:
slessp4-mysql-13739
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • libmysqlclient-devel >= 10.0.38-29.27.3
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • libmysqlclient_r18 >= 10.0.38-29.27.3
  • libmysqld-devel >= 10.0.38-29.27.3
  • libmysqld18 >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2048
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-2048
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-2048
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2048
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-2048
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libmysqlclient18 >= 10.0.37-2.3.1
  • libmysqlclient18-32bit >= 10.0.37-2.3.1
  • mariadb-100 >= 10.0.37-2.3.1
  • mariadb-100-errormessages >= 10.0.37-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-3022
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libmysqlclient-devel >= 10.0.37-20.49.2
  • libmysqlclient18 >= 10.0.37-20.49.2
  • libmysqlclient18-32bit >= 10.0.37-20.49.2
  • libmysqlclient_r18 >= 10.0.37-20.49.2
  • libmysqld-devel >= 10.0.37-20.49.2
  • libmysqld18 >= 10.0.37-20.49.2
  • mariadb >= 10.0.37-20.49.2
  • mariadb-client >= 10.0.37-20.49.2
  • mariadb-errormessages >= 10.0.37-20.49.2
  • mariadb-tools >= 10.0.37-20.49.2
Patchnames:
SUSE-SLE-SERVER-12-2018-2833
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmysql55client_r18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client_r18-x86 >= 5.5.61-0.39.15.1
  • mysql >= 5.5.61-0.39.15.1
Patchnames:
sdksp4-mysql-13739
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libmysqlclient-devel >= 10.0.37-2.3.1
  • libmysqlclient_r18 >= 10.0.37-2.3.1
  • libmysqld-devel >= 10.0.37-2.3.1
  • libmysqld18 >= 10.0.37-2.3.1
  • mariadb-100 >= 10.0.37-2.3.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2018-3022
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libmysqlclient_r18 >= 10.0.37-2.3.1
  • libmysqlclient_r18-32bit >= 10.0.37-2.3.1
  • mariadb-100 >= 10.0.37-2.3.1
Patchnames:
SUSE-SLE-WE-12-SP4-2018-3022
SUSE OpenStack Cloud 7
  • libmariadb3 >= 3.0.7-1.6.1
  • libmysqlclient18 >= 10.0.38-29.27.3
  • libmysqlclient18-32bit >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.0.38-29.27.3
  • mariadb-connector-c >= 3.0.7-1.6.1
  • mariadb-errormessages >= 10.0.38-29.27.3
  • mariadb-galera >= 10.2.22-10.1
  • mariadb-tools >= 10.0.38-29.27.3
Patchnames:
SUSE-OpenStack-Cloud-7-2019-1441
SUSE-OpenStack-Cloud-7-2019-2048
SUSE OpenStack Cloud 8
  • galera-3 >= 25.3.24-4.3.1
  • galera-3-wsrep-provider >= 25.3.24-4.3.1
  • libmariadb3 >= 3.0.6-3.6.1
  • libmysqlclient18 >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.2.21-4.8.1
  • mariadb-connector-c >= 3.0.6-3.6.1
  • mariadb-errormessages >= 10.2.21-4.8.1
  • mariadb-galera >= 10.2.21-4.8.1
  • mariadb-tools >= 10.2.21-4.8.1
Patchnames:
SUSE-OpenStack-Cloud-8-2019-2048
SUSE-OpenStack-Cloud-8-2019-628
SUSE OpenStack Cloud Crowbar 8
  • galera-3 >= 25.3.24-4.3.1
  • galera-3-wsrep-provider >= 25.3.24-4.3.1
  • libmariadb3 >= 3.0.6-3.6.1
  • libmysqlclient18 >= 10.0.38-29.27.3
  • mariadb >= 10.0.38-29.27.3
  • mariadb-client >= 10.2.21-4.8.1
  • mariadb-connector-c >= 3.0.6-3.6.1
  • mariadb-errormessages >= 10.2.21-4.8.1
  • mariadb-galera >= 10.2.21-4.8.1
  • mariadb-tools >= 10.2.21-4.8.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-2048
SUSE-OpenStack-Cloud-Crowbar-8-2019-628
openSUSE Leap 15.0
  • libmysqld-devel >= 10.2.22-lp150.2.9.1
  • libmysqld19 >= 10.2.22-lp150.2.9.1
  • libmysqld19-debuginfo >= 10.2.22-lp150.2.9.1
  • mariadb >= 10.2.22-lp150.2.9.1
  • mariadb-bench >= 10.2.22-lp150.2.9.1
  • mariadb-bench-debuginfo >= 10.2.22-lp150.2.9.1
  • mariadb-client >= 10.2.22-lp150.2.9.1
  • mariadb-client-debuginfo >= 10.2.22-lp150.2.9.1
  • mariadb-debuginfo >= 10.2.22-lp150.2.9.1
  • mariadb-debugsource >= 10.2.22-lp150.2.9.1
  • mariadb-errormessages >= 10.2.22-lp150.2.9.1
  • mariadb-galera >= 10.2.22-lp150.2.9.1
  • mariadb-test >= 10.2.22-lp150.2.9.1
  • mariadb-test-debuginfo >= 10.2.22-lp150.2.9.1
  • mariadb-tools >= 10.2.22-lp150.2.9.1
  • mariadb-tools-debuginfo >= 10.2.22-lp150.2.9.1
Patchnames:
openSUSE-2019-327
openSUSE Leap 42.3
  • libmysql56client18 >= 5.6.41-39.1
  • libmysql56client18-32bit >= 5.6.41-39.1
  • libmysql56client18-debuginfo >= 5.6.41-39.1
  • libmysql56client18-debuginfo-32bit >= 5.6.41-39.1
  • libmysql56client_r18 >= 5.6.41-39.1
  • libmysql56client_r18-32bit >= 5.6.41-39.1
  • mysql-community-server >= 5.6.41-39.1
  • mysql-community-server-bench >= 5.6.41-39.1
  • mysql-community-server-bench-debuginfo >= 5.6.41-39.1
  • mysql-community-server-client >= 5.6.41-39.1
  • mysql-community-server-client-debuginfo >= 5.6.41-39.1
  • mysql-community-server-debuginfo >= 5.6.41-39.1
  • mysql-community-server-debugsource >= 5.6.41-39.1
  • mysql-community-server-errormessages >= 5.6.41-39.1
  • mysql-community-server-test >= 5.6.41-39.1
  • mysql-community-server-test-debuginfo >= 5.6.41-39.1
  • mysql-community-server-tools >= 5.6.41-39.1
  • mysql-community-server-tools-debuginfo >= 5.6.41-39.1
Patchnames:
openSUSE-2018-844


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 mysql Ignore
SUSE Linux Enterprise Server 11 SP3 LTSS mysql Ignore
SUSE Linux Enterprise Server 11 SP4 mysql Released